Bug 570321 - Missing Dependencies postgresql-plperl and perl-BDB-Pg > 2.0
Summary: Missing Dependencies postgresql-plperl and perl-BDB-Pg > 2.0
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: bucardo   
(Show other bugs)
Version: el5
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Dependancies
Keywords:
Depends On:
Blocks: EPEL5-BrokenDeps
TreeView+ depends on / blocked
 
Reported: 2010-03-03 21:21 UTC by James Saint-Rossy
Modified: 2017-04-06 10:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 10:27:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Saint-Rossy 2010-03-03 21:21:43 UTC
Description of problem:
Installing bucardo-4.4.0-2.el5 fails with missing dependencies.  postgresql-plperl and perl-bdb-pg >= 2.0 do not exist in either the default or epel repositories.  

Version-Release number of selected component (if applicable):
bucardo-4.4.0-2.el5

How reproducible:
Always

Steps to Reproduce:
1.  yum install bucardo
  
Actual results:
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * addons: mirror.skiplink.com
 * base: mirror.cogentco.com
 * epel: mirrors.tummy.com
 * extras: mirrors.serveraxis.net
 * updates: mirror.san.fastserv.com
addons                                                   |  951 B     00:00     
base                                                     | 2.1 kB     00:00     
epel                                                     | 3.4 kB     00:00     
extras                                                   | 2.1 kB     00:00     
updates                                                  | 1.9 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package bucardo.noarch 0:4.4.0-2.el5 set to be updated
--> Processing Dependency: perl(DBD::Pg) >= 2.0 for package: bucardo
--> Processing Dependency: postgresql-plperl for package: bucardo
--> Processing Dependency: perl(DBD::Pg) for package: bucardo
--> Processing Dependency: perl(DBIx::Safe) for package: bucardo
--> Running transaction check
---> Package bucardo.noarch 0:4.4.0-2.el5 set to be updated
--> Processing Dependency: perl(DBD::Pg) >= 2.0 for package: bucardo
--> Processing Dependency: postgresql-plperl for package: bucardo
---> Package perl-DBD-Pg.i386 0:1.49-2.el5_3.1 set to be updated
---> Package perl-DBIx-Safe.noarch 0:1.2.5-6.el5 set to be updated
--> Finished Dependency Resolution
bucardo-4.4.0-2.el5.noarch from epel has depsolving problems
  --> Missing Dependency: postgresql-plperl is needed by package bucardo-4.4.0-2.el5.noarch (epel)
bucardo-4.4.0-2.el5.noarch from epel has depsolving problems
  --> Missing Dependency: perl(DBD::Pg) >= 2.0 is needed by package bucardo-4.4.0-2.el5.noarch (epel)
Error: Missing Dependency: postgresql-plperl is needed by package bucardo-4.4.0-2.el5.noarch (epel)
Error: Missing Dependency: perl(DBD::Pg) >= 2.0 is needed by package bucardo-4.4.0-2.el5.noarch (epel)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest


Expected results:
Package successfully installs

Additional info:
Tested on Centos 5.4 and RHEL 5.4

Comment 1 Bill McGonigle 2010-07-11 06:17:15 UTC
rpm -q --filesbypkg postgresql-pl
postgresql-pl             /usr/bin/pltcl_delmod
postgresql-pl             /usr/bin/pltcl_listmod
postgresql-pl             /usr/bin/pltcl_loadmod
postgresql-pl             /usr/lib/pgsql/plperl.so
postgresql-pl             /usr/lib/pgsql/plpython.so
postgresql-pl             /usr/lib/pgsql/pltcl.so
postgresql-pl             /usr/share/pgsql/unknown.pltcl

I setup a bucardo install using this package on CentOS 5.5; it seems to be sufficient.

Comment 2 Mark Chappell 2010-09-14 15:35:52 UTC
postgresql-plperl should be postgresql-pl for EL5. Unfortunately perl(DBD::Pg) is provided by RH, so EPEL can't update it.

The general feeling at the EPEL meeting was that this package should be unpushed since perl(DBD::Pg) >= 2 is unlikely to get pushed.

Comment 3 Bill McGonigle 2010-09-14 15:52:40 UTC
I'm using perl-DBD-Pg 2.17.1-1.el5.rf with bucardo successfully.  Perhaps rpmforge should pick it up for EL5?

Comment 4 Mark Chappell 2010-09-14 16:43:59 UTC
Sounds like a reasonable idea not sure the best way to contact them...

Comment 5 Itamar Reis Peixoto 2010-09-14 17:05:08 UTC
I will try to fix this soon.

Comment 6 Bill McGonigle 2010-09-14 17:32:43 UTC
I put a query out on the rpmforge mailing list to see about the possibility.  Let's wait a short amount of time before unpushing to see if that can work, and if so, to give users a chance for a smooth transition.  I'll volunteer to write to the bucardo-users mailing list if it works out.

Comment 7 Fedora End Of Life 2017-04-06 10:27:58 UTC
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.